@font-face {
    font-family: 'Roboto';
    src: url(Roboto-Regular.ttf);
}
a{
    text-decoration: none;
}
*{
    box-sizing: border-box;
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}
html,body{
    margin: 0px;
    padding: 0px;
    height: 100%
}
.signInContainer{
    display: flex;
    height: 100vh;
    background-color: #efefef;
    justify-content: center;
    align-items: center;
}
.column{
    background-color: #fff;
    min-height: 300px;
    max-height: 100%;
    width: 450px;
    box-shadow: rgba(0,0,0,0.1) 0 1px 2px;
    padding: 20px 35px;
}
.column form{
    display: flex;
    flex-direction: column;
}
.column form input[type = "text"],
.column form input[type = "email"],
.column form input[type = "password"]{
    font-size: 14px;
    border: none;
    border-bottom: 1px solid #dedede;
    padding: 10px;
    margin: 10px 0;
    outline-color: #ddd;
}
.column form input[type = "submit"]{
    border : none;
    color: #fff;
    background-color: #0159ea;
    font-size: 16px;
    height: 36px;
    width: 88px;
    border-radius: 3px;
    margin-top: 10px;
    margin-bottom: 20px;
    font-weight: 500;
    cursor: pointer;
}
.column form input[type = "submit"]:hover{
    background-color: #042253;
}
.column section.header{
    padding: 20px 0;
}
.column .header h3{
    font-size: 24px;
    color: #000;
    margin-bottom: 5px;
    padding-top: 2px;
    line-height: 20px;
}
.column .header span{
    color: #333;
    font-size: 14px;
}
.logInMessage{
    text-decoration: none;
    color: #333;
    font-size: 14px;
    font-weight: 400;
}
.logInMessage:hover{
    text-decoration: underline;
}
.errorMessage {
    font-size: 15px;
    color: #f00;
    font-weight: bold;
}
.g-header{
    background-color: #009788;
    padding: 0 179px;
    display: flex;
    justify-content: space-between;
    box-shadow: 0px 2px 6px 1px;
    align-items: center;
    height: 80px;
}
.g-header-right{
    display: flex;
    align-items: center;
}
.user-status{
    font-size: 24px;
    padding: 7px;
    color: #fff;
    background-color: #05c5ff;
    margin-right: 13px;
    border-radius: 4px;
    cursor: pointer;
}
.user-wrapper{
    display: flex;
    align-items: center;
    background-color: #26a599;
    padding: 6px;
    box-shadow: 4px 3px 11px -4px;
    border-radius: 10%;
    cursor: pointer;
}
.user-wrapper img{
    border-radius: 50%;
}
.user-wrapper .username{
    margin-left: 4px;
    color: #fff;
    letter-spacing: 2px;
}
.log-out-status{
    background-color: #a22a21;
    color: #fff;
    font-size: 24px;
    padding: 7px;
    margin-left: 13px;
    border-radius: 4px;
    cursor: pointer;
}
.page-container{
    display: grid;
    grid-template-columns: 350px 1fr;
    margin-top: 49px;
    margin-left: 35px;
    margin-right: 35px;
    gap: 60px;
}
.page-container aside{
    height: 500px;
    box-shadow: 1px 1px 4px -1px;
    overflow-y: auto;
}
.page-container .main-content{
    height: 500px;
    box-shadow: 1px 1px 4px -1px;
    background-color: #000;
    color: #fff;
}
.page-container-top-aside{
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.custom-style{
    display: flex;
    position: relative;
    flex-direction: column;
    align-items: center;
    flex: 1;
    cursor: pointer;
    padding: 6px;
}
.active{
    background-color: #ddd;
    border-bottom: 2px solid #333;
}
.custom-style svg{
    width: 40px;
    height: 40px;
}
.nf-text{
    color: #008066;
}
.hidden{
    display: none;
}
a.user-connected{
    color: #000;
}
.user-connected{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 2px 10px;
    border: 1px solid #d2d2d2;
    cursor: pointer;
}
.user-connected:hover{
    background-color: #ddd;
}
.u-connected-name{
    font-size: 18px;
    padding: 15px 0;
}
.u-icons{
    display: flex;
    align-items: center;
    justify-content: center;
}
.cam-icon-connected{
    fill: #05c5ff;
    margin-right: 17px;
}
.audio-icon{
    color: #05c5ff;
    font-size: 20px;
}
.webcam-container{
    margin-top: 150px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.webcam-img img{
    height: 150px;
    width: 150px;
    border-radius: 50%;
}
.sub-title-web{
    font-size: 18px;
    padding: 15px 0;
}
.activeClass{
    border-right: 2px solid red;
}
.call-wrap{
    position: relative;
    display: block;
    height: 100%;
}
#local-video{
    z-index: 0;
    width: 200px;
    height: 200px;
    position: absolute;
    top: 15px;
    right: 15px;
}
video{
    background-color: #000;
    border: 1px solid gray;
}
.user-connected-img img{
    width: 150px;
    height: 150px;
    border-radius: 50%;
}
.remote-video-wrap{
    position: relative;
    z-index: 1;
}
.call-hang-status{
    position: absolute;
    z-index: 999;
    height: 100%;
    width: 100%;
}
.calling-status-wrap{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100%;
}
.calling-action{
    display: flex;
}
.user-status-text{
    display: flex;
    align-items: center;
    letter-spacing: 2px;
}
.video-call .cam-icon{
    cursor: pointer;
    margin-left: 5px;
    margin-right: 15px;
    background-color: #00806e;
    fill: #fff;
    width: 40px;
    height: 44px;
    padding: 7px;
    border-radius: 50%;
}
.audio-call .audio-icon-top{
    background-color: #00806e;
    fill: #fff;
    font-size: 30px;
    padding: 7px;
    border-radius: 50%;
    cursor: pointer;
}
#remote-video{
    height: 500px;
    width: 884px;
}
.user-calling-status{
    padding: 15px 0;
    font-size: 18px;
    margin-left: 5px;
}
.user-connected-name{
    margin-left: 5px;
    padding: 15px 0;
}
.call-accept .audio-icon{
    font-size: 18px;
    background-color: #388E3C;
    color: #fff;
    padding: 8px;
    cursor: pointer;
    border-radius: 50%;
    margin: 20px;
}
.call-reject .close-icon{
    font-size: 18px;
    background-color: #C62826;
    color: #fff;
    padding: 8px;
    cursor: pointer;
    border-radius: 50%;
    margin: 20px;
}
.hidden-status{
    display:none !important;
}

.call-hang-action {
    padding: 425px 259px 0 0;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    margin-left: 288px;
}

.videcam-on i {
    font-size: 28px;
    background-color: #00796b;
    border-radius: 50%;
    padding: 8px;
    margin-right: 20px;
    cursor: pointer;
}

.audio-on svg {
    width: 40px !important;
    height: 40px !important;
    background-color: #00796b;
    border-radius: 50%;
    fill: #fff;
    padding: 8px;
    margin-right: 20px;
    cursor: pointer;
}

.call-cancel i {
    font-size: 28px;
    background-color: #C62828;
    border-radius: 50%;
    padding: 8px;
    margin-right: 20px;
    cursor: pointer;
}
